﻿Imports System.Drawing.Imaging

Public Class Form1
    Private NewImg As Bitmap
    Private NewGraphics As Graphics
    Private StockValues As ListBox.ObjectCollection
    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        FontDialog1.ShowDialog()
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
        ColorDialog1.Color = Panel2.BackColor
        ColorDialog1.ShowDialog()
        Panel2.BackColor = ColorDialog1.Color
    End Sub

    Private Sub Button5_Click(sender As Object, e As EventArgs) Handles Button5.Click
        ColorDialog1.Color = Panel3.BackColor
        ColorDialog1.ShowDialog()
        Panel3.BackColor = ColorDialog1.Color
    End Sub

    Private Sub AddButton_Click(sender As Object, e As EventArgs) Handles AddButton.Click
        If ListBox1.SelectedIndex = -1 Then
            ListBox1.Items.Insert(0, InputBox(""))
        Else
            ListBox1.Items.Insert(ListBox1.SelectedIndex, InputBox(""))
        End If
    End Sub

    Private Sub RemoveButton_Click(sender As Object, e As EventArgs) Handles RemoveButton.Click
        If ListBox1.SelectedItem IsNot Nothing Then
            ListBox1.Items.RemoveAt(ListBox1.SelectedIndex)
        End If
    End Sub

    Private Sub UpButton_Click(sender As Object, e As EventArgs) Handles UpButton.Click
        If ListBox1.SelectedItem IsNot Nothing Then
            Dim i As Integer
            i = ListBox1.SelectedIndex

            Dim item As String
            item = ListBox1.SelectedItem.ToString()

            If i > 0 Then
                ListBox1.Items.RemoveAt(i)
                ListBox1.Items.Insert(i - 1, item)
                ListBox1.SetSelected(i - 1, True)
            End If
        End If
    End Sub

    Private Sub DownButton_Click(sender As Object, e As EventArgs) Handles DownButton.Click
        If ListBox1.SelectedItem IsNot Nothing Then
            Dim i As Integer
            i = ListBox1.SelectedIndex

            Dim item As String
            item = ListBox1.SelectedItem.ToString()

            If i < ListBox1.Items.Count - 1 Then

                ListBox1.Items.RemoveAt(i)
                ListBox1.Items.Insert(i + 1, item)
                ListBox1.SetSelected(i + 1, True)

            End If
        End If
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        NewImg = New Bitmap(400, CInt(NumericUpDown1.Value) * ListBox1.Items.Count)
        NewGraphics = Graphics.FromImage(NewImg)
        NewGraphics.Clear(Panel3.BackColor)
        For index = 0 To ListBox1.Items.Count - 1
            NewGraphics.DrawString(ListBox1.Items(index), FontDialog1.Font, New SolidBrush(Panel2.BackColor), New RectangleF(0, CInt(NumericUpDown1.Value) * index, 400, CInt(NumericUpDown1.Value)), New StringFormat() With {.Alignment = StringAlignment.Center, .LineAlignment = StringAlignment.Center})
        Next
        PictureBox1.Image = NewImg
        Button1.Enabled = True
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        SaveFileDialog1.ShowDialog()
        If String.IsNullOrWhiteSpace(SaveFileDialog1.FileName) = True Then Return
        NewImg.Save(SaveFileDialog1.FileName, ImageFormat.Png)
    End Sub

    Private Sub CheckBox1_CheckedChanged(sender As Object, e As EventArgs) Handles CheckBox1.CheckedChanged
        Button6.Enabled = CheckBox1.Checked
        Button7.Enabled = CheckBox1.Checked
        If CheckBox1.Checked = True Then
            Panel1.Height = CInt(NumericUpDown1.Value)
        Else
            PictureBox1.Top = 0
            Panel1.Height = 302
        End If
    End Sub

    Private Sub Button7_MouseDown(sender As Object, e As MouseEventArgs) Handles Button7.MouseDown
        PictureBox1.Top -= NumericUpDown2.Value
        Timer1.Start()
    End Sub

    Private Sub Button7_MouseUp(sender As Object, e As MouseEventArgs) Handles Button7.MouseUp
        Timer1.Stop()
    End Sub

    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        PictureBox1.Top -= NumericUpDown2.Value
    End Sub

    Private Sub Timer2_Tick(sender As Object, e As EventArgs) Handles Timer2.Tick
        PictureBox1.Top += NumericUpDown2.Value
    End Sub

    Private Sub Button6_MouseUp(sender As Object, e As MouseEventArgs) Handles Button6.MouseUp
        Timer2.Stop()
    End Sub

    Private Sub Button6_MouseDown(sender As Object, e As MouseEventArgs) Handles Button6.MouseDown
        PictureBox1.Top += NumericUpDown2.Value
        Timer2.Start()
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        StockValues = ListBox1.Items
    End Sub

    Private Sub NumericUpDown2_MouseDoubleClick(sender As Object, e As MouseEventArgs) Handles NumericUpDown2.MouseDoubleClick
        NumericUpDown2.Value = NumericUpDown1.Value
    End Sub

    Private Sub NumericUpDown2_ValueChanged(sender As Object, e As EventArgs) Handles NumericUpDown2.ValueChanged
        If NumericUpDown2.Value = NumericUpDown1.Value Then
            Timer1.Interval = 150
            Timer2.Interval = 150
            Return
        Else
            Timer1.Interval = 20
            Timer2.Interval = 20
        End If
    End Sub

    Private Sub Button8_Click(sender As Object, e As EventArgs) Handles Button8.Click
        If ListBox1.SelectedIndex = -1 Then Return
        ListBox1.Items(ListBox1.SelectedIndex) = InputBox("Nieuwe tekst")
    End Sub

    Private Sub ListBox1_MouseDoubleClick(sender As Object, e As MouseEventArgs) Handles ListBox1.MouseDoubleClick
        If ListBox1.SelectedIndex = -1 Then Return
        ListBox1.Items(ListBox1.SelectedIndex) = InputBox("Nieuwe tekst")
    End Sub

    Private Sub EnglishVersionToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles EnglishVersionToolStripMenuItem.Click
        EnglishVersion.Show()
        Close()
    End Sub

    Private Sub OverRETKoersrolGeneratorToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles OverRETKoersrolGeneratorToolStripMenuItem.Click
        MsgBox("RET Koersrol generator
© Linuxuser2064", MsgBoxStyle.Information, "RET Koersrol generator")
    End Sub
End Class
